%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 2019.10.06-0
%define fname aspell6-%{languagecode}
%define aspell_ver 0.60
%define languagelocal english
%define languageeng english
%define languageenglazy American
%define languagecode en
%define lc_ctype en_US

Summary:	English files for aspell
Name:		aspell-%{languagecode}
Version:	2019.10.06
Release:	%mkrel 2
Group:		System/Internationalization
Source:		http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%fname-%{src_ver}.tar.xz
URL:		http://aspell.sourceforge.net/
# Fedora
License:	MIT and BSD

BuildRequires:	make
BuildRequires:	aspell >= %{aspell_ver}
Requires:	aspell >= %{aspell_ver}
# Locales Stuff
Requires:	locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:	aspell-dictionary
Provides:	enchant-dictionary
Provides:	spell-%{languagecode}
Obsoletes:	aspell-en_CA aspell-en_GB
Provides:	aspell-en_CA aspell-en_GB

AutoReqProv:   no

%description
A English dictionary for use with aspell, a spelling checker.


%prep
%setup -q -n %{fname}-%{src_ver}

%build
# don't use %%configure macro
./configure

%make

%install
%makeinstall_std

chmod 644 README Copyright

%files
%doc README Copyright
%{_libdir}/aspell-%{aspell_ver}/*


%changelog
* Sun May 02 2021 tex - 2019.10.06-2pclos2021
- rebuild against updates

* Fri May 22 2020 ghostbunny <ghostbunny at gmx dot de> 2019.10.06-1pclos2020
- 2019.10.06

* Thu Feb 28 2019 tex - 7.1.0-13pclos2019
- rebuild against updates

* Fri Jul 08 2016 bb <bb> 7.1.0-12.pclos2016
- provide enchant-dictionary too

* Fri Jul 08 2016 bb <bb> 7.1.0-11.pclos2016
- update for 2016


